function putUIText(hPar, x,y, lab, val, unit , col )


%     annotation('textbox', [x,y,0.3,0.05],...
%             'EdgeColor','none','FontSize',14,'Color',col,...
%             'String', [lab num2str(val,'%1.3f') unit]);         
% %             'String', [lab val unit]);    



    uicontrol('Style','text',...
            'Parent',hPar,...
             'String',[lab],...
             'ForegroundColor',col,...
             'FontSize',13,...
             'Position',[x,y,55,30],...
             'BackgroundColor','white',...
             'HorizontalAlignment','left');
         
    n=1;     
    uicontrol('Style','text',...
             'String',[ num2str(val,'%1.3f') unit],...
            'Parent',hPar,...             
             'ForegroundColor',col,...
             'FontSize',13,...
             'Position',[x+35,y,55,30],...
             'BackgroundColor','white',...             
             'HorizontalAlignment','right');
         
         
%          'Tag','MonitorProgress');
%           BackgroundColor [.94 .94 .94]



end    
